# ExposedStandardVersionsRepoProxy

class ExposedStandardVersionsRepoProxy (val database: ERROR CLASS: Symbol not found for Database) : StandardVersionsRepoProxy <ERROR CLASS: Symbol not found for Database> , <ERROR CLASS> ERROR CLASS: Symbol not found for Table, ExposedRepo (source)

## Constructors

ExposedStandardVersionsRepoProxy
Link copied to clipboard
constructor(database: ERROR CLASS: Symbol not found for Database)

## Properties

database
Link copied to clipboard
open override val database : ERROR CLASS: Symbol not found for Database

The underlying database or storage object used for version tracking.

selectAll
Link copied to clipboard
open val selectAll : ERROR CLASS: Symbol not found for Transaction.() -> ERROR CLASS: Symbol not found for Query
tableNameColumn
Link copied to clipboard
val tableNameColumn : ERROR CLASS: Unresolved name: text
tableVersionColumn
Link copied to clipboard
val tableVersionColumn : ERROR CLASS: Unresolved name: integer

## Functions

getTableVersion
Link copied to clipboard
open suspend override fun getTableVersion (tableName: String ): Int ?

Returns the current version number for the given tableName, or null if no version is stored.

updateTableVersion
Link copied to clipboard
open suspend override fun updateTableVersion (tableName: String , version: Int )

Persists the given version number for the given tableName.